Subject: [rtcweb] Consensus on text around additional audio codecs

From: Cullen Jennings <[email-masked]>
Date: Thu, 12 Sep 2013 11:57:31 -0600

I have reviewed all the emails about this since January 1. Many people have spoken in favor of the "recommended to support whatever the platform has that makes sense" style text and there has been close to no strong objections to this. My belief is that based on the email record, there is WG consensus to add text around that. Now there is some possibility there are a bunch of people that object given there has been no formal consensus call so here's what I would like to have happen. 

I would like the editors of  to make the following change to draft-ietf-rtcweb-audio

---------------------
OLD:
 
To ensure a baseline level of interoperability between WebRTC
clients, a minimum set of required codecs are specified below.
While this section specifies the codecs that will be mandated for all
WebRTC client implementations, it leaves the question of supporting
additional codecs to the will of the implementer.
 
WebRTC clients are REQUIRED to implement the following audio codecs.
 
NEW:
 
To ensure a baseline level of interoperability between WebRTC
clients, a minimum set of required codecs are specified below.
If other suitable audio codecs are available for the browser to use,
it is RECOMMENDED that they are also be included in the offer in order
to maximize the possibility to establish the session without the need
for audio transcoding.
 
WebRTC clients are REQUIRED to implement the following audio codecs.

----------------------

This will then get publish as a new draft. The WG can comment on that draft and if lots of people have an issue with that text, then we can allocate time to discuss it at a future meeting and, if needed, make a more formal consensus call so that no one misses it. 

My hope is that the people that care about this have expressed their opinions on the list and that when the draft comes out, the consensus will not change. If that turns out to be wrong, folks can still object about text in the draft. 

I will note that several people have pointed out this text is fairly weak. However, at this point in time, I don't think there is consensus to add stronger language. (Note: I also don't see consensus to not add stronger language). 

Thanks,
Cullen <with my co-chair hat on>

PS - I have received off list suggestions that this is an ideal place to use rfc6919 language - as chair I MUST strongly encourage people to stick with the the more traditional rfc2119 language.